<?xml version="1.0"?>
<serviceModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="SampleWebCloudService" generation="1" functional="0" release="0" Id="dc2b30a9-1e00-4a40-a126-a8bad4c63652" dslVersion="1.2.0.0" xmlns="http://schemas.microsoft.com/dsltools/RDSM">
  <groups>
    <group name="SampleWebCloudServiceGroup" generation="1" functional="0" release="0">
      <componentports>
        <inPort name="HttpIn" protocol="http">
          <inToChannel>
            <lBChannelMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/FELoadBalancerHttpIn" />
          </inToChannel>
        </inPort>
      </componentports>
      <settings>
        <aCS name="WebRole:AccountName" defaultValue="">
          <maps>
            <mapMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/MapWebRole:AccountName" />
          </maps>
        </aCS>
        <aCS name="WebRole:AccountSharedKey" defaultValue="">
          <maps>
            <mapMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/MapWebRole:AccountSharedKey" />
          </maps>
        </aCS>
        <aCS name="WebRole:BlobStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/MapWebRole:BlobStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="WebRole:QueueStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/MapWebRole:QueueStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="WebRole:TableStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/MapWebRole:TableStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="WebRoleInstances" defaultValue="[1,1,1]">
          <maps>
            <mapMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/MapWebRoleInstances" />
          </maps>
        </aCS>
      </settings>
      <channels>
        <lBChannel name="FELoadBalancerHttpIn">
          <toPorts>
            <inPortMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRole/HttpIn" />
          </toPorts>
        </lBChannel>
      </channels>
      <maps>
        <map name="MapWebRole:AccountName" kind="Identity">
          <setting>
            <aCSMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRole/AccountName" />
          </setting>
        </map>
        <map name="MapWebRole:AccountSharedKey" kind="Identity">
          <setting>
            <aCSMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRole/AccountSharedKey" />
          </setting>
        </map>
        <map name="MapWebRole:BlobStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRole/BlobStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWebRole:QueueStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRole/QueueStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWebRole:TableStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRole/TableStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWebRoleInstances" kind="Identity">
          <setting>
            <sCSPolicyIDMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRoleInstances" />
          </setting>
        </map>
      </maps>
      <components>
        <groupHascomponents>
          <role name="WebRole" generation="1" functional="0" release="0" software="C:\SampleWebCloudService\SampleWebCloudService\obj\Debug\SampleWebCloudService_WebRole\" entryPoint="ucruntime" parameters="Microsoft.ServiceHosting.ServiceRuntime.Internal.WebRoleMain" hostingEnvironment="frontend">
            <componentports>
              <inPort name="HttpIn" protocol="http" />
            </componentports>
            <settings>
              <aCS name="AccountName" defaultValue="" />
              <aCS name="AccountSharedKey" defaultValue="" />
              <aCS name="BlobStorageEndpoint" defaultValue="" />
              <aCS name="QueueStorageEndpoint" defaultValue="" />
              <aCS name="TableStorageEndpoint" defaultValue="" />
            </settings>
            <resourcereferences>
              <resourceReference name="EventStore" defaultAmount="[1000,1000,1000]" defaultSticky="false" kind="LogStore" />
            </resourcereferences>
            <eventstreams>
              <eventStream name="Microsoft.ServiceHosting.ServiceRuntime.RoleManager.Critical" kind="Default" severity="Critical" signature="Basic_string" />
              <eventStream name="Microsoft.ServiceHosting.ServiceRuntime.RoleManager.Error" kind="Default" severity="Error" signature="Basic_string" />
              <eventStream name="Critical" kind="Default" severity="Critical" signature="Basic_string" />
              <eventStream name="Error" kind="Default" severity="Error" signature="Basic_string" />
              <eventStream name="Warning" kind="OnDemand" severity="Warning" signature="Basic_string" />
              <eventStream name="Information" kind="OnDemand" severity="Info" signature="Basic_string" />
              <eventStream name="Verbose" kind="OnDemand" severity="Verbose" signature="Basic_string" />
            </eventstreams>
          </role>
          <sCSPolicy>
            <sCSPolicyIDMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/WebRoleInstances" />
          </sCSPolicy>
        </groupHascomponents>
      </components>
      <sCSPolicy>
        <sCSPolicyID name="WebRoleInstances" defaultPolicy="[1,1,1]" />
      </sCSPolicy>
    </group>
  </groups>
  <implements>
    <implementation Id="62b23bfd-7569-4c5a-b879-ec9ca6b9d83b" ref="Microsoft.RedDog.Contract\ServiceContract\SampleWebCloudServiceContract@ServiceDefinition">
      <interfacereferences>
        <interfaceReference Id="2277b47d-74eb-4f7a-b334-8cf99fa570e4" ref="Microsoft.RedDog.Contract\Interface\HttpIn@ServiceDefinition">
          <inPort>
            <inPortMoniker name="/SampleWebCloudService/SampleWebCloudServiceGroup/HttpIn" />
          </inPort>
        </interfaceReference>
      </interfacereferences>
    </implementation>
  </implements>
</serviceModel>