﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SampleWebCloudService_WebRole._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>OakLeaf Systems Azure Table Services Sample Project</title>
    <style type="text/css">
        .style1
        {
            width: 100%;
        }
    </style>
    </head>
<body>
    <form id="form1" runat="server">
    <div style="font-family: Calibri, Arial, Helvetica, sans-serif; font-size: medium" 
        id="divMain" title="Main">
    <div style="height: 30px; vertical-align: top; font-size: larger; font-weight: bold; font-family: Calibri, Arial, Helvetica, sans-serif; color: #6B696B;">
        OakLeaf Systems Azure Table Services Sample Project
    </div>
    <asp:GridView
        id="customersView"
        DataSourceId="customerData"
        AutoGenerateColumns="False"
        GridLines="Vertical"
        Runat="server" 
        BackColor="White" ForeColor="Black"
        BorderColor="#DEDFDE" BorderStyle="None" BorderWidth="1px" CellPadding="4" 
            Font-Names="Calibri" ToolTip="Customer entities GridView">
        <Columns>
            <asp:BoundField DataField="CustomerID" HeaderText="CustID" 
                SortExpression="CustomerID" />
            <asp:BoundField DataField="CompanyName" HeaderText="CompanyName" 
                SortExpression="CompanyName" />
            <asp:BoundField DataField="ContactName" HeaderText="ContactName" 
                SortExpression="ContactName" />
            <asp:BoundField DataField="ContactTitle" HeaderText="ContactTitle" 
                SortExpression="ContactTitle" />
            <asp:BoundField DataField="Country" HeaderText="Country" 
                SortExpression="Country" />
            <asp:BoundField DataField="Timestamp" HeaderText="Timestamp" 
                SortExpression="Timestamp" />
            <asp:BoundField DataField="PartitionKey" HeaderText="PartKey" 
                SortExpression="PartitionKey" />
            <asp:BoundField DataField="RowKey" HeaderText="RowKey" 
                SortExpression="RowKey" />
        </Columns>
        <RowStyle BackColor="#F7F7DE" />
        <FooterStyle BackColor="#CCCC99" />
        <PagerStyle BackColor="#F7F7DE" ForeColor="Black" HorizontalAlign="Right" />
        <SelectedRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#6B696B" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="White" />
    </asp:GridView>
    <div style="height:30px; vertical-align:middle; display:table-cell">
        Paging:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <asp:HyperLink ID="firstLink" runat="server" NavigateUrl="~/Default.aspx">First Page</asp:HyperLink>
        &nbsp;&nbsp;&nbsp;&nbsp;<asp:HyperLink ID="nextLink" runat="server" 
            Width="78px">Next Page</asp:HyperLink> &nbsp;&nbsp; Next PartitionKey:
        <asp:TextBox ID="txtNextPartitionKey" runat="server" Width="135px"></asp:TextBox> 
        &nbsp;&nbsp;&nbsp; Next RowKey:
        <asp:TextBox ID="txtNextRowKey" runat="server" Width="182px"></asp:TextBox>
        &nbsp;&nbsp;
    </div>
        <table class="style1">
            <tr>
                <td bgcolor="#F7F7DE">
    <asp:FormView
        id="frmAdd"
        DataSourceId="customerData"
        DefaultMode="Insert"
        Runat="server" Width="546px" AllowPaging="True" 
                        onpageindexchanging="frmAdd_PageIndexChanging" 
                        ToolTip="FormView InsertItem template with default values"> 
        <EditItemTemplate>
            CustomerID:
            <asp:TextBox ID="CustomerIDTextBox" runat="server" 
                Text='<%# Bind("CustomerID") %>' />            
            <br />
            CompanyName:
            <asp:TextBox ID="CompanyNameTextBox" runat="server" 
                Text='<%# Bind("CompanyName") %>' />
            <br />
            ContactName:
            <asp:TextBox ID="ContactNameTextBox" runat="server" 
                Text='<%# Bind("ContactName") %>' />
            <br />
            ContactTitle:
            <asp:TextBox ID="ContactTitleTextBox" runat="server" 
                Text='<%# Bind("ContactTitle") %>' />
            <br />
            Address:
            <asp:TextBox ID="AddressTextBox" runat="server" Text='<%# Bind("Address") %>' />
            <br />
            City:
            <asp:TextBox ID="CityTextBox" runat="server" Text='<%# Bind("City") %>' />
            <br />
            Region:
            <asp:TextBox ID="RegionTextBox" runat="server" Text='<%# Bind("Region") %>' />
            <br />
            PostalCode:
            <asp:TextBox ID="PostalCodeTextBox" runat="server" 
                Text='<%# Bind("PostalCode") %>' />
            <br />
            Country:
            <asp:TextBox ID="CountryTextBox" runat="server" Text='<%# Bind("Country") %>' />
            <br />
            Phone:
            <asp:TextBox ID="PhoneTextBox" runat="server" Text='<%# Bind("Phone") %>' />
            <br />
            Fax:
            <asp:TextBox ID="FaxTextBox" runat="server" Text='<%# Bind("Fax") %>' />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                CommandName="Update" Text="Update" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <InsertItemTemplate>        
            PartitionKey:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox
                    id="PartitionKeyTextBox"
                    Text='<%# Bind("PartitionKey") %>'
                    Runat="server" ToolTip="Customer" />
            &nbsp;&nbsp;&nbsp; RowKey:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox
                    id="RowKeyTextBox"
                    Text='<%# Bind("RowKey") %>'
                    Runat="server" ToolTip="BOGUS" />
            <br />
            CustomerID:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox
                    id="CustomerIDTextBox0"
                    Text='<%# Bind("CustomerID") %>'
                    Runat="server"  ToolTip="BOGUS" />
            &nbsp;&nbsp; CompanyName:&nbsp;
            <asp:TextBox
                    id="CompanyNameTextBox0"
                    Text='<%# Bind("CompanyName") %>'
                    Runat="server"  ToolTip="Bogus Software, Inc." />
            ContactName:&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="ContactNameTextBox0" runat="server" ToolTip="Joe Bogus" 
                Text='<%# Bind("ContactName") %>' />
            &nbsp;&nbsp; ContactTitle: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="ContactTitleTextBox0" runat="server" ToolTip="President"  
                Text='<%# Bind("ContactTitle") %>' />
            Address:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="AddressTextBox0" runat="server" ToolTip="1212 Broadway"  
                Text='<%# Bind("Address") %>' />
            &nbsp;&nbsp; City:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="CityTextBox0" runat="server"  ToolTip="Oakland" 
            Text='<%# Bind("City") %>' />
            &nbsp;<br />
            Region:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="RegionTextBox0" runat="server" ToolTip="CA" Text='<%# Bind("Region") %>' />
            &nbsp;&nbsp; PostalCode:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="PostalCodeTextBox0" runat="server" 
                Text='<%# Bind("PostalCode") %>' />
            Country:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="CountryTextBox0" runat="server"  ToolTip="USA"  
                Text='<%# Bind("Country") %>' />
            &nbsp;&nbsp; Phone:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="PhoneTextBox0" runat="server" ToolTip="(510) 555-1212" Text='<%# Bind("Phone") %>' />
            &nbsp;
            <br />
            Fax:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="FaxTextBox0" runat="server" ToolTip="(510) 555-1213" Text='<%# Bind("Fax") %>' />
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />
            <asp:LinkButton ID="InsertButton" runat="server" 
                CausesValidation="True" CommandName="Insert" Text="Insert" 
                Enabled="False" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel"></asp:LinkButton>
        </InsertItemTemplate>
        <ItemTemplate>
            CustomerID:
            <asp:Label ID="CustomerIDLabel" runat="server" 
                Text='<%# Bind("CustomerID") %>' />
            <br />
            CompanyName:
            <asp:Label ID="CompanyNameLabel" runat="server" 
                Text='<%# Bind("CompanyName") %>' />
            <br />
            ContactName:
            <asp:Label ID="ContactNameLabel" runat="server" 
                Text='<%# Bind("ContactName") %>' />
            <br />
            ContactTitle:
            <asp:Label ID="ContactTitleLabel" runat="server" 
                Text='<%# Bind("ContactTitle") %>' />
            <br />
            Address:
            <asp:Label ID="AddressLabel" runat="server" Text='<%# Bind("Address") %>' />
            <br />
            City:
            <asp:Label ID="CityLabel" runat="server" Text='<%# Bind("City") %>' />
            <br />
            Region:
            <asp:Label ID="RegionLabel" runat="server" Text='<%# Bind("Region") %>' />
            <br />
            PostalCode:
            <asp:Label ID="PostalCodeLabel" runat="server" 
                Text='<%# Bind("PostalCode") %>' />
            <br />
            Country:
            <asp:Label ID="CountryLabel" runat="server" Text='<%# Bind("Country") %>' />
            <br />
            Phone:
            <asp:Label ID="PhoneLabel" runat="server" Text='<%# Bind("Phone") %>' />
            <br />
            Fax:
            <asp:Label ID="FaxLabel" runat="server" Text='<%# Bind("Fax") %>' />
            <br />
            <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                CommandName="Delete" Text="Delete" />
            &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
                CommandName="New" Text="New" />
        </ItemTemplate>
    </asp:FormView>
                </td>
                <td style="padding: 2px; border-style: solid; border-width: 1px;" 
                    bgcolor="#F7F7DE" width="400px">
                      Instructions: If you don't see a GridView when the 
                      page opens, click the Create Customers button to
                      upload entities for all 91 customers to the table.
                      Inserts are disabled.<br />
                    <br />
                      Click Count to iteratively count the customers. Paging is 
                      programmed for the GridView control; Update adds a +.<br />
                    <br />
                      Click <asp:HyperLink ID="hlCloudApp" runat="server"                         
                        NavigateUrl="http://oakleafblog.blogspot.com/2008/11/azure-storage-services-test-harness.html">
                        here</asp:HyperLink> and copy the URL to another browser 
                        instance to read the seven-part tutorial for this project.                
                </td>
            </tr>
        </table>
    </div>

    <%-- Data Sources --%>
    <asp:ObjectDataSource runat="server" ID="customerData" 
        TypeName="SampleWebCloudService_WebRole.CustomerDataServiceContext+CustomerDataSource"
        DataObjectTypeName="SampleWebCloudService_WebRole.CustomerDataModel" 
        SelectMethod="Select" DeleteMethod="Delete" InsertMethod="Insert">    
    </asp:ObjectDataSource>
    <div style="font-family: Calibri, Arial, Helvetica, sans-serif;">
        <asp:Button ID="btnQuery" runat="server" onclick="btnQuery_Click" Text="Count Customers" 
            Width="131px" 
            ToolTip="Click to iterate the CustomerTable to count entities" />
            &nbsp;&nbsp; Items:
        <asp:TextBox ID="txtCount" runat="server" Width="34px"></asp:TextBox>
        &nbsp;&nbsp;&nbsp;<asp:Button ID="btnDeleteAll" runat="server" onclick="btnDeleteAll_Click" 
            Text="Delete All Customers" Width="157px" 
            ToolTip="Click to delete all 91 Customer entities" />
            &nbsp;&nbsp;
        <asp:Button ID="btnCreateCustomers" runat="server" 
            onclick="btnCreateCustomers_Click" Text="Create Customers" Width="143px" 
            ToolTip="Click to [re]create the 91 Northwind customer entities" />
            &nbsp;&nbsp;
        <asp:Button ID="btnUpdateCusts" runat="server" onclick="btnUpdateCusts_Click" 
            Text="Update Customers" Width="132px" Enabled="False" 
            ToolTip="Click to update all CompanyName values by adding or removing a '+' symbol" />
        &nbsp;
        <asp:Label ID="lblTime" runat="server" Text="Time:"></asp:Label>
            &nbsp;
        <asp:TextBox ID="txtTime" runat="server" Width="51px"></asp:TextBox>
            &nbsp; sec.&nbsp;&nbsp;
        <asp:CheckBox ID="chkRowKeyPK" runat="server" Text=" RowKey = PK" 
            Checked="True" Enabled="False" 
            ToolTip="Mark to use the CustomerID (PK) value as the RowKey; clear to use a GUID" />
            &nbsp;&nbsp;&nbsp;
        </div>
    </form>
</body>
</html>
